{ pkgs, lib, config, ... }:
let
  generator = pkgs.writers.writePython3 "frogarized"
    {
      libraries = [ pkgs.python3Packages.colorspacious ];
    }
    (builtins.readFile ./frogarized.py);
  frogarized_json = polarity: pkgs.runCommand "frogarized-${polarity}.json" { } "${generator} --polarity ${polarity} --output json > $out";
  frogarized_nix = polarity: builtins.fromJSON (builtins.readFile (frogarized_json polarity));
in
{
  config = {
    stylix = {
      base16Scheme = frogarized_nix config.stylix.polarity;
      # On purpose also enable without a DE because stylix complains otherwise
      image = builtins.fetchurl {
        url = "https://get.wallhere.com/photo/sunlight-abstract-minimalism-green-simple-circle-light-leaf-wave-material-line-wing-computer-wallpaper-font-close-up-macro-photography-124350.png";
        sha256 = "sha256:1zfq3f3v34i45mi72pkfqphm8kbhczsg260xjfl6dbydy91d7y93";
      };
    };
  };
}
