{ pkgs, lib, config, nixos-hardware, ... }:
{
  config = {
    # UEFI works here, and variables can be touched
    boot.loader = {
      efi.canTouchEfiVariables = lib.mkDefault true;
      grub = {
        enable = true;
        efiSupport = true;
        device = "nodev"; # Don't install on MBR
        # TODO Maybe we could? In case the HDD doesn't boot anymore?
      };
    };
    hardware.cpu.intel.updateMicrocode = true;
    frogeye.desktop = {
      x11_screens = [
        "HDMI-1-3"
        "DVI-I-2-1"
      ];
      maxVideoHeight = 1440;
      numlock = true;
      phasesBrightness = {
        enable = true;
        jour = "40000";
        crepuscule = "10000";
        nuit = "1";
      };
    };
    # Needs prefetched binary blobs, see https://nixos.wiki/wiki/Displaylink
    services.xserver.videoDrivers = [ "displaylink" "modesetting" ];
  };
  imports = [
    nixos-hardware.nixosModules.dell-g3-3779
  ];
}
